Subject: Re: Elementary Problem with find
From: [email-masked] (John Gibb)

21 Oct 1997 18:57:05 -0700
Message-ID: <01bcde88$284154e0$609b5dcf.cygnus.gnu-win32@pentium>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "GBradfor" <[email-masked]>, <[email-masked]>

I suspect you are using the wrong 'find'.  For example, i found myself
inadvertently using the NT flavor of find instead of the bash flavor...turns
out my PATH had /WINNT/systemm32 prior to /gnuwin32/../bin.

I created the following alias to combat this:

alias f='//D/gnuwin32/b18/H-i386-cygwin32/bin/find.exe'

John Gibb
(415)-584-3754
[email-masked]
-----Original Message-----
From: GBradfor <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Tuesday, October 21, 1997 5:35 PM
Subject: Elementary Problem with find

>     This is, more than likely, a true newbie problem.  I've searched the
>     back issues of the mailing list, and there are no other reports of
>     this problem.  So, it's probably just me; but just in case...
>
>     find is failing to take valid command strings.  I am running b18 under
>     Windows95.
>
>     Example case:
>        find . -name *.c -print
>
>     The cygwin32 version gives the following error:
>        FIND:  Parameter format not correct
>
>     Running this same command on my Linux box gives the appropriate file
>     listing.
>
>     I have also tried variations on this same theme:
>        find <absolute path name (with both '\' and '/')> -name *.c -print
>        find -name *.c -print     /* no starting pathname; use present */
>                                  /* directory as default.             */
>        find . -name "*.c" -print
>        find . -name '*.c' -print
>
>     The most interesting was:
>        find "<absolute pathname>" -name *.c -print
>     find ignored what was in quotes and interpretted everything else as
>     search paths.
>
>     Any suggestions on this?
>
>     /s/
>     Pat Bradford
>
>     Reply to:
>     [email-masked]
>          AND/OR
>     [email-masked]
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".